# Configuration

## Configuration for the Pando Blockchain Node

The Pando blockchain node can be launched with flag `--config=path/to/config/folder` as shown in the command below

{% code overflow="wrap" %}

```shell
pando start --config=../privatenet/node
```

{% endcode %}

If the `--config` parameter is not specified, the pando node uses `~/.pando` as the default config folder. The pando node also uses the config directory to store other important data. For example, it stores its encrypted key under the `key` folder, and the blockchain data under the db folder.

The configuration for the pando node is defined by file `config.yaml` under path/to/config/folder. Below are the options

```yaml
storage:
  statePruningEnabled: true # true by default, when set to true the node will perform state pruning which can effectively reduce the disk space consumption
  statePruningInterval: 16 # the purning interval (in terms of blocks) which control the frequency the pruning procedure is activated
  statePruningRetainedBlocks: 2048 # the number of blocks prior to the latest finalized block whose corresponding state tree need to be retained
p2p:
  address: 127.0.0.1 # the binding address of the RPC service, 0.0.0.0 by default
  port: 12000 # the p2p port that the Theta node listens on, 50001 by default
  seeds: 34.206.132.245:12000,34.231.31.51:12000,44.207.134.197:12000 # the IP addresses of the seed nodes
rpc:
  enabled: true # false by default, when set to true the RPC API is enabled
  port: 16888 # the PRC API port, 16888 by default
  maxConnections: 100 # max number of simultaneous RPC connections, 200 by default
log:
  levels: "*:info" # level of logs to be printed, "*:debug" by default
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandoproject.org/pando-network-docs/blockchain-integration/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
